﻿Type=StaticCode
Version=3.82
B4A=true
@EndOfDesignText@
Sub Process_Globals
Private fWsGuid As String = "[AAAA]"
Private fUsrID As String
End Sub

Public Sub Initialize (aUsrId As String)
fUsrID = aUsrId
End Sub

Public Sub IsChiuso (aLogRequest As Boolean, aTaskId As Int)
iHttpClient5.RequestHTTP3("vestiario", "/vestiario/chiuso?GUID=" & fWsGuid, aLogRequest, aTaskId)
End Sub

Public Sub Prenotazioni (aValue As Int, aLogRequest As Boolean, aTaskId As Int)
iHttpClient5.RequestHTTP3("vestiario", "/vestiario/prenotazioni?GUID=" & fWsGuid & "&value=" & iHttpClient5.Encode64(aValue), aLogRequest, aTaskId)
End Sub

Public Sub GetListaArt (aGrp1 As String, aLogRequest As Boolean, aTaskId As Int)
iHttpClient5.RequestHTTP3("vestiario", "/vestiario/listaArt?GUID=" & fWsGuid & "&usr_id=" & iHttpClient5.Encode64(fUsrID) & "&grp1=" & iHttpClient5.Encode64(aGrp1), aLogRequest, aTaskId)
End Sub

Public Sub GetListaG01 (aLogRequest As Boolean, aTaskId As Int)
iHttpClient5.RequestHTTP3("vestiario", "/vestiario/listaG01?GUID=" & fWsGuid, aLogRequest, aTaskId)
End Sub

Public Sub GetRichiesto (aLogRequest As Boolean, aTaskId As Int)
iHttpClient5.RequestHTTP3("vestiario", "/vestiario/richiesto?GUID=" & fWsGuid & "&usr_id=" & iHttpClient5.Encode64(fUsrID), aLogRequest, aTaskId)
End Sub

Public Sub GetConsegnato (aLogRequest As Boolean, aTaskId As Int)
iHttpClient5.RequestHTTP3("vestiario", "/vestiario/consegnato?GUID=" & fWsGuid & "&usr_id=" & iHttpClient5.Encode64(fUsrID), aLogRequest, aTaskId)
End Sub

Public Sub Update (aId As String, aLogRequest As Boolean, aTaskId As Int)
iHttpClient5.RequestHTTP3("vestiario", "/vestiario/insert?GUID=" & fWsGuid & "&id=" & iHttpClient5.Encode64(aId) & "&art_cod=" & iHttpClient5.Encode64("---") & "&usr_id=" & iHttpClient5.Encode64(fUsrID), aLogRequest, aTaskId)
End Sub

Public Sub Insert (aArtCod As String, aLogRequest As Boolean, aTaskId As Int)
iHttpClient5.RequestHTTP3("vestiario", "/vestiario/insert?GUID=" & fWsGuid & "&id=" & iHttpClient5.Encode64("-1") & "&art_cod=" & iHttpClient5.Encode64(aArtCod) & "&usr_id=" & iHttpClient5.Encode64(fUsrID), aLogRequest, aTaskId)
End Sub

Public Sub Delete (aId As String, aLogRequest As Boolean, aTaskId As Int)
iHttpClient5.RequestHTTP3("vestiario", "/vestiario/delete?GUID=" & fWsGuid & "&id=" & iHttpClient5.Encode64(aId), aLogRequest, aTaskId)
End Sub

Public Sub GetResiduo (aData As String, aLogRequest As Boolean, aTaskId As Int)
iHttpClient5.RequestHTTP3("vestiario", "/vestiario/residuo?GUID=" & fWsGuid & "&usr_id=" & iHttpClient5.Encode64(fUsrID) & "&data=" & iHttpClient5.Encode64(aData), aLogRequest, aTaskId)
End Sub