﻿Type=StaticCode
Version=3.82
B4A=true
@EndOfDesignText@
Sub Process_Globals
Private fCodifica As String = "UTF8"
Private fStream As OutputStream
Private fResCod As String
Private fResDes As String
Private fResSeq As String
Private hr As HttpRequest
End Sub

Public Sub Initialize ( aWsRoot As String )
End Sub

Sub Encode64 ( aString As String ) As String 
If aString.Length = 0 Then
   Return ""
Else
   Dim b As Base64
   Return b.EncodeStoS ( aString , fCodifica )
End If   
End Sub

Public Sub Decode64 ( aString As String ) As String 
If aString.Length = 0 Then
   Return ""
Else
   Dim b As Base64
   Return b.DecodeStoS ( aString , fCodifica )
End If   
End Sub

Public Sub RequestHTTP3 (aRoot As String, aRequest As String, aLogRequest As Boolean, aTaskId As Int)
hr.InitializePost2(iLib3.GetService(aRoot) & aRequest, aRequest.Trim.GetBytes(fCodifica))

If aLogRequest Then Log(aTaskId & "(3) - " & iLib3.GetService(aRoot) & aRequest)

iLib3.HttpConnection.Execute ( hr, aTaskId )
End Sub

Public Sub OnResponseErrorEx ( aResponse As HttpResponse, aMessage As String, aTaskId As Int, aShowError As Boolean )
If aShowError Then
	Msgbox ( aMessage & " - TaskId: " & aTaskId, DateTime.Date(DateTime.Now) & " " & aResponse & " (OnResponseErrorEx)" )
Else
	Log(DateTime.Date(DateTime.Now) & " " & aMessage & " - TaskId: " & aTaskId & " - Response: " & aResponse )
End If

If aResponse <> Null Then aResponse.Release
ProgressDialogHide
End Sub

Public Sub OnResponseError ( aResponse As HttpResponse, aMessage As String, aTaskId As Int )
OnResponseErrorEx(aResponse, aMessage, aTaskId, True)
End Sub

Public Sub OnResponseSuccessEx (aResponse As HttpResponse, aMessage As String, aTaskId As Int, aShowError As Boolean )
Dim rr As xnHttpResponseResult
rr.Initialize(aResponse)

fResCod = rr.RESULT_COD
fResDes = rr.RESULT_DES

If rr.RESULT_COD = 1 Then
	If aShowError Then
		Msgbox ( fResDes, DateTime.Date(DateTime.Now) & " Attenzione! (OnResponseSuccessEx)" )
	Else
		Log (DateTime.Date(DateTime.Now) & " Attenzione! " & fResDes)
	End If
	
	If aResponse <> Null Then aResponse.Release
	ProgressDialogHide
Else
	fStream.InitializeToBytesArray(1)
	aResponse.GetAsynchronously ( "ResponseStream", fStream, True, aTaskId )
End If
End Sub

Public Sub OnResponseSuccess (aResponse As HttpResponse, aMessage As String, aTaskId As Int )
OnResponseSuccessEx(aResponse, aMessage, aTaskId, True)
End Sub

'Public Sub OnResponseSuccess ( aResponse As HttpResponse, aMessage As String, aTaskId As Int )
'Dim rr As xnHttpResponseResult
'rr.Initialize(aResponse)
'
'fResCod = rr.RESULT_COD
'fResDes = rr.RESULT_DES
'fResSeq = rr.RESULT_SEQID
'
'Log("Seq ricevuto: " & fResSeq)
'
'iSQLImg.TableInsert(fResSeq, "RESULT_COD=" & ResCod & " RESULT_DES=" & ResDes)
'
'If rr.RESULT_COD = 1 Then
'	Msgbox ( rr.RESULT_DES, "Attenzione!" )
'	If aResponse <> Null Then aResponse.Release
'	ProgressDialogHide
'Else
'	fStream.InitializeToBytesArray(1)
'	aResponse.GetAsynchronously ( "ResponseStream", fStream, True, aTaskId )
'End If
'End Sub

Public Sub ResCod As String
Return fResCod
End Sub

Public Sub ResDes As String
Return fResDes
End Sub

Public Sub ResSeq As String
Return fResSeq
End Sub

Public Sub wsResponseEx ( aDecodeBase64 As Boolean, aSuccess As Boolean, aShowError As Boolean ) As String
If aSuccess = False Then
	If aShowError Then
		Msgbox ( "Stream non valido", DateTime.Date(DateTime.Now) & " Attenzione! (wsResponseEx)" )
	Else
		Log (DateTime.Date(DateTime.Now) & " Attenzione! Stream non valido")
	End If
	Return ""
End If

Dim res As String

Try
   Dim b() As Byte
   Dim bcc As ByteConverter

   b = fStream.ToBytesArray
   If b.Length > 2 Then
      res = bcc.StringFromBytes ( b, "UTF8" )
   Else 
      res = ""
   End If
Catch
	If aShowError Then
		Msgbox ( "Response non valida", DateTime.Date(DateTime.Now) & "Attenzione! (wsResponseEx)" )
	Else
		Log (DateTime.Date(DateTime.Now) & " Attenzione! Stream non valido")
	End If
	Return ""
End Try

If res.Length > 0 Then
	If res.CharAt(0) = "(" Then
		If aShowError Then
			Msgbox ( res, "Attenzione! (wsResponseEx)" )
		Else
			Log (DateTime.Date(DateTime.Now) & "Attenzione! (wsResponseEx) " & res)
		End If
		Return ""
	Else
		If aDecodeBase64 Then 
			Try
				res = Decode64(res)
				Return res.SubString2(8, res.Length-1)
			Catch
				Log("iIMG.iHttpClient5: " & LastException.Message)
				Return ""
			End Try
		Else
			Return res
		End If
	End If
Else 
    Return ""
End If
End Sub

Public Sub wsResponse ( aDecodeBase64 As Boolean, aSuccess As Boolean ) As String
Return wsResponseEx(aDecodeBase64, aSuccess, False)
End Sub